import request from '/@/utils/request';

export function projectQueryApi() {
    return {
        tablelistApi: (params?: object) => {
            return request({
                url: '/chart/building/v1/buildings',
                method: 'get',
                params,
            });
        },
        // 楼盘表
        tableApi: (params?: object) => {
            return request({
                url: '/chart/building/v1/getUnitInfo',
                method: 'GET',
                params,
            });
        },
        // 弹窗
        HouseApi: (params?: object) => {
            return request({
                url: '/chart/building/v1/getHouseAndContractInfo',
                method: 'GET',
                params,
            });
        },
        // 详情
        detailApi: (params?: object) => {
            return request({
                url: '/chart/building/v1/project',
                method: 'GET',
                params,
            });
        },
    };
}
